{ lib, ... }:
{
  programs.bash.initExtra = lib.pipe (builtins.readDir ./.) [
    (lib.filterAttrs (k: v: v == "regular"))
    (lib.filterAttrs (k: v: lib.hasSuffix ".sh" k))
    lib.attrNames
    # (map (x: builtins.readFile ./${x}))
    (map (x: "source ${./${x}}"))
    lib.concatLines
  ];
}
